<?php

namespace App\Http\Livewire;

use App\Models\ProcessHistories;
use Livewire\Component;

class History extends Component
{
    public $histories;

    protected $listeners = ['refreshHistory' => '$refresh'];

    public function mount()
    {
        $this->loadHistories();
    }

    public function loadHistories()
    {
        $this->histories = ProcessHistories::orderBy('id', 'desc')->get();
    }

    public function render()
    {
        return view('livewire.history');
    }
}
